 /****************************************************************/
 /*          S A S   S A M P L E   L I B R A R Y                 */
 /*                                                              */
 /*    NAME: DDE2                                                */
 /*   TITLE: USING DDE TO READ DATA FROM EXCEL                   */
 /* PRODUCT: SAS                                                 */
 /*  SYSTEM: OS/2                                                */
 /*    KEYS: DDE DYNAMIC DATA EXCHANGE                           */
 /*   PROCS: PRINT                                               */
 /*    DATA:                                                     */
 /*                                                              */
 /* SUPPORT:                             UPDATE:                 */
 /*     REF:                                                     */
 /*    MISC:                                                     */
 /*    DESC: DEMONSTRATES HOW TO USE DDE TO READ DATA FROM EXCEL */
 /*          INTO SAS.  TO EXECUTE THIS PROGRAM YOU MUST         */
 /*          FIRST INVOKE MICROSOFT EXCEL AND OPEN UP A NEW      */
 /*          WORKSHEET CALLED "SHEET1".  ENTER NUMERIC DATA IN   */
 /*          EXCEL WORKSHEET IN ROWS 1-10, COLUMNS 1-3.          */
 /****************************************************************/

/* THE DDE LINK IS ESTABLISHED USING MICROSOFT EXCEL SHEET1,
   ROWS 1 THROUGH 10 AND COLUMNS 1 THROUGH 3.                    */

FILENAME MONTHLY DDE 'EXCEL | SHEET1.XLS ! R1C1:R3C3';
DATA MONTHLY;
   INFILE MONTHLY;
   INPUT VAR1 VAR2 VAR3;
RUN;
PROC PRINT;
RUN;
